Contract the duration of a note, filling in the space with another note or rest.

### Hierarchy

- TickIteratorBase
  - SmoContractNoteActor

## Index

### Constructors

- constructor

## Constructors

### constructor

- new SmoContractNoteActor(params: SmoContractNoteParams): SmoContractNoteActor

- Overrides TickIteratorBase.constructor

  - Defined in src/smo/xform/tickDuration.ts:234

  #### Parameters

  - ##### params: SmoContractNoteParams

  #### Returns SmoContractNoteActor

Generated using TypeDoc